#
# spec file for package xgalaga (Version 2.0.34)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xgalaga
Copyright:    GPL
Group:        X11/Games/Video 
Provides:     xgal 
Autoreqprov:  on
Version:      2.0.34
Release:      260
Summary:      A Galaga-clone for X11
Source:       xgalaga-%{version}.tar.gz
Patch:        xgalaga-%{version}.dif
BuildRoot:    /var/tmp/%{name}-%{version}-root
%define gamedir /var/games/xgalaga/

%description
A clone of the old space arcade game 'Galaga'.  (It's Galaga, you know
how to play Galaga!  Ship follows the mouse, button fires.  Auto-fire by
holding it down, so no-one accuses us of breaking their mouse!)

SuSE series: fun

%prep
%setup
%patch

%build
CFLAGS=${RPM_OPT_FLAGS} \
./configure --prefix=%{gamedir} --exec-prefix=/usr/X11R6/bin \
	%{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{gamedir} \
	exec_prefix=$RPM_BUILD_ROOT/usr/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES COPYING INSTALL README README.SOUND
/usr/X11R6/bin/xgalaga
%{gamedir}

%changelog -n xgalaga
* Tue May 22 2001 - pblaha@suse.cz
- fix cast warning on ia64
* Mon Apr 02 2001 - uli@suse.de
- small fix for gcc >2.96
* Thu Nov 23 2000 - pblaha@suse.cz
- solved probles with playing sound by  open(dspdev, O_WRONLY);
* Thu Nov 23 2000 - pblaha@suse.cz
-  with option -nosound is not started sound server
* Wed May 24 2000 - bubnikv@suse.cz
- filled Group: tag
- moved /var/lib/games to /var/games
* Sat Mar 04 2000 - kasal@suse.de
- renamed and updated package from xgal to xgalaga, now GPL'd
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 11 1998 - ro@suse.de
- catch strdup for glibc
* Fri Oct 10 1997 - rj@suse.de
- works with (a)build
* Sun Jun 08 1997 - rj@suse.de
- new package version 1.6c (Shareware)
